- ago
A "Wealth-Lab 7" dialog pops up saying "Unable to find IQFeed installation".
IQFeed Client 6.1.0.20 works fine but 6.2.0.16 Beta doesn't.

I understand that it is Beta version and it may not be supported.
However, WL6 works just fine with IQFeed Client 6.2.0.16 Beta.

Does WL7's IQFeed extension do something differently than WL6's IQFeed extension?
0
165
Solved
18 Answers

Reply

Bookmark

Sort
- ago
#1
Thanks for the heads-up. We'll work on making the provider work with IQFeed 6.2 in Build 6.
0
- ago
#2
That would be great if you can address it in Build 6 and release it soon.

I have been having issues (On Demand Update Error 1) with WL6 and IQFeed Client lately, and I was told to try the Beta client. I haven't confirmed if the Beta client solves the issue yet but I just found that WL7 doesn't work at all with the Beta version, hence reporting it here.
0
- ago
#3
I've already committed a patch for this issue. We just need to test it and then could release along with Build 14 when it's time.
1
Best Answer
- ago
#4
Is this issue also applicable to WL6 by any chance?

So far I tested WL6 with IQFeed Client 6.2.0.16 Beta, it works fine in most case.
However, I did see the similar error with WL6 saying:
QUOTE:
IQFeed connection error
The system cannot find the file specified

0
- ago
#5
Unless Robert is willing to backport the fix, in general we're not supporting WL6.
0
- ago
#6
QUOTE:
Unless Robert is willing to backport the fix, in general we're not supporting WL6.

Robert,
Is it something you can consider backporting it to WL6's IQFeed extension if it's not too much trouble for you?

I have been working on migrating to WL7 but as you can see my posts, there are many compatibility issues I have to deal with before moving from WL6 to WL7. So that I have to stick with WL6 for the time being.
0
- ago
#7
Eugene,
How did you fix it in WL7?

Is it something I can workaround on my side for WL6?
Any idea why it works sometime and it doesn't work the other time on WL6?

Interestingly, it doesn't work all the time on WL7.
0
Cone7
- ago
#8
When it's ready, please update the IQFeed Provider to Build 6 from Extensions. It will work with IQFeed Client 6.2 (Beta).

Waiting to publish...
0
- ago
#9
Published
0
- ago
#10
I just confirmed IQFeed Provider Build 6 to fix the issue with IQFeed Client 6.2 (Beta).
Thank you guys for such a quick fix!

Now I beg you guys to consider fixing WL6 extension.
1
Cone7
- ago
#11
Thanks for the reminder. We'll get to it this weekend.

You can downgrade to 6.1 too. We didn't expect our customers to be beta testing for IQFeed!
0
- ago
#12
Robert,
Thank you for considering about fixing WL6 extension!

I completely understand about your WL6 support policy. But I'm still on WL7 trial for a little less than 2 months and I don't think I can complete migrating from WL6 for an extended period of time.

Yes, I can downgrade to 6.1 but IQFeed suggested me to try 6.2 for some issues.
Apparently 6.2 mitigates the issues at some degrees but now I'm getting the new problem instead.
1
Cone7
- ago
#13
fwiw,
The latest change in the WL7 IQFeed provider to adapt to the 6.2 IQFeed client installation doesn't use any of the new 6.2 protocols. It only adapted to the change in the registry location where IQFeed puts some data.

There is one update in 6.2 that will probably make us adopt it eventually - new Data Message Identifiers to avoid conflicts with single-letter symbols.

Lastly, and although this isn't the WL6 forum, the WL6 IQFeed adapter didn't use the registry locations that were changed, and in my testing there is no issue running it with the IQFeed 6.2 client. Are you seeing something different?

0
- ago
#14
Hi Robert,

Thank you for looking at WL6!

So far I tested WL6 with IQFeed 6.2 client when the market was closed, it worked flawlessly, so I thought WL6 doesn't have the issue.
However, yesterday during market hours, when I started WL6, I saw dialog op-up saying:
QUOTE:
IQFeed connection error
The system cannot find the file specified
I think it was coming from WL6's extension. I had to restart WL6 but this dialog kept coming up for several times thereafter. I have never seen it with IQFeed 6.1 client.

Any idea what could cause this dialog to pop-up?
0
Cone7
- ago
#15
In the context of a connection error, I can't remember seeing a message like that. Let's try again tomorrow.
0
- ago
#16
So there is no code to generate the dialog pop-up in WL6 IQFeed extension?
0
Cone7
- ago
#17
I didn't say that. "In the context of a connection error" I don't know what file it would be looking for because we don't look for files to connect.
0
- ago
#18
The WL6 IQFeed issue didn't happen even once today.
I will post when I see it again.
1

Reply

Bookmark

Sort